#{extends 'borderNG.html' /}

<div class="content">
<ol class="breadcrumb" style="background-color: #d9534f !important;">
    <li><a href="@{BerandaCtr.nonLelang()}">&{'kontrakpl.plppk'}</a></li>
    <li class="active">&{'kontrakpl.dpembayaran'}</li>
</ol>
#{alert /}
#{form @kontrak.PembayaranPlCtr.hapusPembayaranPl(), name:'formBAPembayaran', enctype:"multipart/form-data", method:'POST'}
    <br/>
    <input type="hidden" name="plId" value="${kontrakx.pl_seleksi.lls_id}"/>
    <table id="tblPembayaran" class="table table-sm" >
        <thead>
        <tr>
            <th>&{'kontrakpl.bulan'}</th>
            <th>&{'kontrakpl.bacara'}</th>
            <th>&{'kontrakpl.pfisik'}</th>
            <th width="10px">&nbsp;</th>
        </thead>
        </tr>
        #{list items:listBap, as:'pes'}
            #{set i : pes_index /}
            <tr>
                <td>Bulan ${i}</td>
                <input type="hidden" name="bapId[${i}]" value="${pes.bap_id}" />

                <td><a href="@{nonlelang.KontrakPlCtr.viewBapPl(pes.kontrak.kontrak_id,pes.bap_id)}" class="btn btn-default" >&{'kontrakpl.bap'}</a></td>
                <td>${pes.progres_fisik} <strong>%</strong></td>
                <td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td>
            </tr>
        #{/list}
    </table>
    <br/>
    <button type="button" class="btn btn-primary btn-sm" id="tambahTermin" ><i class="fa fa-plus-circle"></i> &{'kontrakpl.tbulan'}</button>
    <button type="submit" name="simpan" class="btn btn-success" > <i class="fa fa-save"></i> &{'kontrakpl.simpan'}</button>
    <a href="@{BerandaCtr.nonLelang()}"  class="btn btn-default">  &{'kontrakpl.kembali'}</a>

#{/form}
</div>

#{set 'custom_script'}
<script type="text/javascript">

    $(document).on('click', '.removeBtn', function(){
        $(this).parent().parent().remove()
    })

    $("#tambahTermin").click(function(){

        var ind = $('#tblPembayaran tr').length
        var addTemb =  '<tr><td>Termin '+ind+'</td>'+
                '<td><a href="@{kontrak.PembayaranPlCtr.viewBapPl(kontrakx.kontrak_id)}" class="btn btn-secondary" >BAP</a></td>'+
                '<td>0 <strong>%</strong></td>'+
                '<td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td></tr>'
        $("#tblPembayaran").append(addTemb)

    })
</script>
#{/set}
 